Save onboarding guide agent
curl --request POST \
--url https://mcp.echozero.app/api/v1/users/me/guide-agent \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-signature: <x-signature>' \
--header 'x-timestamp: <x-timestamp>' \
--data '
{
"guideAgentId": "507f1f77bcf86cd799439011"
}
'import requests
url = "https://mcp.echozero.app/api/v1/users/me/guide-agent"
payload = { "guideAgentId": "507f1f77bcf86cd799439011" }
headers = {
"x-signature": "<x-signature>",
"x-timestamp": "<x-timestamp>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-signature': '<x-signature>',
'x-timestamp': '<x-timestamp>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({guideAgentId: '507f1f77bcf86cd799439011'})
};
fetch('https://mcp.echozero.app/api/v1/users/me/guide-agent', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {
method: 'POST',
headers: {
'x-signature': '<x-signature>',
'x-timestamp': '<x-timestamp>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({guideAgentId: '507f1f77bcf86cd799439011'})
};
fetch('https://mcp.echozero.app/api/v1/users/me/guide-agent', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://mcp.echozero.app/api/v1/users/me/guide-agent"
payload := strings.NewReader("{\n \"guideAgentId\": \"507f1f77bcf86cd799439011\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-signature", "<x-signature>")
req.Header.Add("x-timestamp", "<x-timestamp>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"success": true,
"data": {
"id": "<string>",
"username": "<string>",
"email": "<string>",
"status": "ACTIVE",
"emailVerifiedAt": "2023-11-07T05:31:56Z",
"registeredAt": "2023-11-07T05:31:56Z",
"avatarUrl": "<string>",
"interests": [
"CARS_AND_RACING"
],
"guideAgentId": "<string>",
"pinnedAgentIds": [
"<string>"
],
"languageCode": "EN",
"signupMethod": "<string>",
"countryCode": "AF",
"stateCode": "<string>",
"timeZone": "<string>",
"preferences": {},
"wallet": {},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}User
Save onboarding guide agent
POST
/
api
/
v1
/
users
/
me
/
guide-agent
Save onboarding guide agent
curl --request POST \
--url https://mcp.echozero.app/api/v1/users/me/guide-agent \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-signature: <x-signature>' \
--header 'x-timestamp: <x-timestamp>' \
--data '
{
"guideAgentId": "507f1f77bcf86cd799439011"
}
'import requests
url = "https://mcp.echozero.app/api/v1/users/me/guide-agent"
payload = { "guideAgentId": "507f1f77bcf86cd799439011" }
headers = {
"x-signature": "<x-signature>",
"x-timestamp": "<x-timestamp>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-signature': '<x-signature>',
'x-timestamp': '<x-timestamp>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({guideAgentId: '507f1f77bcf86cd799439011'})
};
fetch('https://mcp.echozero.app/api/v1/users/me/guide-agent', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {
method: 'POST',
headers: {
'x-signature': '<x-signature>',
'x-timestamp': '<x-timestamp>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({guideAgentId: '507f1f77bcf86cd799439011'})
};
fetch('https://mcp.echozero.app/api/v1/users/me/guide-agent', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://mcp.echozero.app/api/v1/users/me/guide-agent"
payload := strings.NewReader("{\n \"guideAgentId\": \"507f1f77bcf86cd799439011\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-signature", "<x-signature>")
req.Header.Add("x-timestamp", "<x-timestamp>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"success": true,
"data": {
"id": "<string>",
"username": "<string>",
"email": "<string>",
"status": "ACTIVE",
"emailVerifiedAt": "2023-11-07T05:31:56Z",
"registeredAt": "2023-11-07T05:31:56Z",
"avatarUrl": "<string>",
"interests": [
"CARS_AND_RACING"
],
"guideAgentId": "<string>",
"pinnedAgentIds": [
"<string>"
],
"languageCode": "EN",
"signupMethod": "<string>",
"countryCode": "AF",
"stateCode": "<string>",
"timeZone": "<string>",
"preferences": {},
"wallet": {},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}Authorizations
bearer-jwtapi-key
User JWT access token issued by POST /api/auth/verify or POST /api/auth/social/verify. Routes that accept both auth modes declare api-key and bearer-jwt security schemes.
Headers
Required for API-key authenticated requests. HMAC-SHA256(secretKey, timestamp + METHOD + path + body) as lowercase hex. Omit only for JWT/OAuth session tokens or public routes.
Required with x-signature. Epoch milliseconds; rejected if drift exceeds 5 minutes. Omit only for JWT/OAuth session tokens or public routes.
Body
application/json
Onboarding guide agent id